killsnoop-nd(8)

NAME
killsnoop-nd - trace process signals. Uses Linux SystemTap (non-debuginfo).

SYNOPSIS
killsnoop-nd.stp

DESCRIPTION
This traces signals system-wide, including those sent by the kill(1) command, and shows various details.

REQUIREMENTS
SystemTap.

EXAMPLES

Trace all signals, showing process details, signal number, and result:
    # killsnoop-nd.stp

FIELDS

FROM
    Process ID that issued the signal.

COMMAND
    Process name that issued the signal.

SIG Signal number. See "kill -l" in bash(1) for a list.

TO  Signal destination PID.

RESULT
    Signal result. 0 for success.

OVERHEAD
This traces signals and prints a line of output for each. The overhead to trace each signal should be low/negligible.

SOURCE
This is from the SystemTap lwtools collection.

    https://github.com/brendangregg/systemtap-lwtools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
strace(1)